Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms
Class MessageNotReadableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.MessageNotReadableException
                      com.sun.messaging.jms.MessageNotReadableException

All Implemented Interfaces:
  com.sun.messaging.jmq.jmsclient.logging.Loggable, Serializable

    public class MessageNotReadableException

extends MessageNotReadableException
implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception must be thrown when a JMS client attempts to read a write-only message.

See Also:
  Serialized Form

Constructor Summary
`MessageNotReadableException(String reason)` Constructs a `MessageNotReadableException` with the specified reason and with the error code defaulting to null.
`MessageNotReadableException(String reason, String errorCode)` Constructs a `MessageNotReadableException` with the specified reason and error code.
`MessageNotReadableException(String reason, String errorCode, Throwable cause)` Constructs a `MessageNotReadableException` with the specified reason, error code, and a specified cause.

Method Summary
`boolean` | `getLogState()` get logging state of this object.
`void` | `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageNotReadableException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` | `printStackTrace(PrintStream s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageNotReadableException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` | `printStackTrace(PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageNotReadableException` and obtained via `JMSException.getLinkedException()`
`void` | `setLinkedException(Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `MessageNotReadableException`.
`void` | `setLogState(boolean state)` set state to true if this object is logged.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageNotReadableException

    public MessageNotReadableException(String reason,
                                       String errorCode)

  Constructs a `MessageNotReadableException` with the specified reason and error code.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### MessageNotReadableException

    public MessageNotReadableException(String reason)

  Constructs a `MessageNotReadableException` with the specified reason and with the error code defaulting to null.

  Parameters:
    `reason` - a description of the exception

### MessageNotReadableException

    public MessageNotReadableException(String reason,
                                       String errorCode,
                                       Throwable cause)

  Constructs a `MessageNotReadableException` with the specified reason, error code, and a specified cause.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code
    `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

Method Detail

### setLinkedException

    public void setLinkedException(Exception ex)

  If running under J2SE1.4 or above, this method will also set the cause of the `MessageNotReadableException`. When a backtrace of the `MessageNotReadableException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

  Overrides:
    `setLinkedException` in class `JMSException`
  Parameters:
    `ex` - the linked `Exception`

### printStackTrace

    public void printStackTrace()

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageNotReadableException` and obtained via `javax.jms.JMSException.getLinkedException()`

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageNotReadableException` and obtained via `javax.jms.JMSException.getLinkedException()`

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageNotReadableException` and obtained via `JMSException.getLinkedException()`

  Overrides:
    `printStackTrace` in class `Throwable`

### setLogState

    public void setLogState(boolean state)

  set state to true if this object is logged.

  Specified by:
    `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
  Parameters:
    `state` - boolean

### getLogState

    public boolean getLogState()

  get logging state of this object.

  Specified by:
    `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
  Returns:
    boolean true if this object is logged.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.